Email
Inboxes
Marketing
SMS
Sign
Verify
Forms
Scheduling
Hooks
Risk
Platform
List bulk reassignments
GET
/v1/scheduling/reassignments
Newest first, with how each is going.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
limit?integerRange
1 <= value <= 100Default
20after?stringThe last id of the previous page.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The runs.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.reassignments.list();{ "object": "list", "data": [ { "object": "scheduling.reassignment", "id": "reasn_01kd2m9a0b1c2d3e4f5g6h7j8m", "status": "completed", "reason_code": "out_of_office", "out_of_office": "ooo_01kd2m9a0b1c2d3e4f5g6h7j8m", "undo_of": null, "counts": { "total": 12, "pending": 0, "reassigned": 11, "skipped": 0, "no_candidate": 1, "failed": 0, "cancelled": 0 }, "created_at": "2027-01-01T10:00:00.000Z", "started_at": "2027-01-01T10:00:01.000Z", "finished_at": "2027-01-01T10:00:09.000Z" } ], "has_more": false}